#ifndef DUST_LOOK_AND_FEEL_H
#define DUST_LOOK_AND_FEEL_H

#include "JuceHeader.h"

/**
    @file DefaultLookAndFeel.h
    @author DustVoice

    @class DefaultLookAndFeel

    Custom LookAndFeel, for the application
*/
class DefaultLookAndFeel : public LookAndFeel_V4
{
public:
    using LookAndFeel_V4::LookAndFeel_V4;

    int getDefaultFontSize() { return 32; }
    Font getTextButtonFont(TextButton&, int buttonHeight) override { return Font(jmax(24.0f, buttonHeight * 0.8f)); }
    Font getLabelFont(Label& label) override { return Font(jmax(24.0f, label.getFont().getHeight() * 1.8f)); };
};

#endif
